Join Bank Chat Room
POST /obp/v7.0.0/banks/BANK_ID/chat-room-participants
OBPv6.0.0-joinBankChatRoom No role required Chat
Join a chat room using a joining key (passed as joining_key in the JSON body). The user is added as a participant with no special permissions.
Authentication is Required
User Authentication is Required. The User must be logged in. The Application must also be authenticated.
URL Parameters:
BANK_ID: gh.29.uk
JSON request body fields (0)
JSON response body fields (12)
- chat_room_id
- chat_room_id
- consumer_id
- 7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh
- consumer_name
- consumer_name
- is_muted
- is_muted
- joined_at
- joined_at
- last_read_at
- last_read_at
- participant_id
- participant_id
- permissions
- provider
- ETHEREUM
- user_id
- 9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1
- username
- felixsmith
- webhook_url
- webhook_url
Example success response
{
"participant_id": "participant-id-123",
"chat_room_id": "chat-room-id-123",
"user_id": "user-id-123",
"username": "robert.x.0.gh",
"provider": "https://github.com",
"consumer_id": "",
"consumer_name": "",
"permissions": [],
"webhook_url": "",
"joined_at": "2026-10-21T01:45:41Z",
"last_read_at": "2026-10-21T01:45:41Z",
"is_muted": false
}Possible errors (5)
- OBP-20001: User not logged in. Authentication is required!
- OBP-39011: Invalid joining key. The key may have been refreshed.
- OBP-39003: Chat Room is archived. No new messages or participants can be added.
- OBP-39006: User is already a participant of this Chat Room.
- OBP-50000: Unknown Error.